@font-face {
  font-family: 'Roboto';
  src: url('/fonts/Roboto-Regular.ttf') format('truetype');
  font-weight: 400;
  font-style: normal;
}

@font-face {
  font-family: 'Comic';
  src: url('./fonts/ComicNeue-Bold.ttf') format('truetype');
  font-weight: 700;
  font-style: normal;
}

@font-face {
  font-family: 'Roboto';
  src: url('/fonts/Roboto-Italic.ttf') format('truetype');
  font-weight: 400;
  font-style: italic;
}

@font-face {
  font-family: 'Roboto';
  src: url('/fonts/Roboto-Bold.ttf') format('truetype');
  font-weight: 700;
  font-style: normal;
}

@font-face {
  font-family: 'Roboto';
  src: url('/fonts/Roboto-BoldItalic.ttf') format('truetype');
  font-weight: 700;
  font-style: italic;
}

:root {
  --font-primary: 'Roboto';
  --font-scale: 0.90;

  --bg-normal: white;
  --fg-normal: #333;
  --bg-focus: #ddd;
  --fg-focus: #0E795E;
  --bg-inactive: #f5f5f5;
  --fg-inactive: #555;

  --border-radius: 5px;

  --huge: calc(5em * var(--font-scale));
  --large: calc(1.4em * var(--font-scale));
  --normalsize: calc(1.2em * var(--font-scale));
  --smallsize: calc(1em * var(--font-scale));
}

body {
  font-family: var(--font-primary);
  font-size: var(--normalsize);
  color: var(--fg-normal);
  max-width: 600px;
  margin: 0 auto;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  min-height: 100vh;
  padding: 0 20px;
  box-sizing: border-box;
  text-align: center;
  overflow-x: hidden;
}

a {
  color: var(--fg-focus);
}

b, strong {
  color: var(--fg-focus);
}

nav.menu {
  width: 100vw;
  left: 50%;
  right: 0;
  transform: translateX(-50%);
  position: sticky;
  top: 0;
  z-index: 1000;
  margin-left: 50%;
  margin-right: 50%;
  background: var(--bg-inactive);
  padding: 0;
}

nav.menu ul {
  list-style: none;
  margin: 0;
  padding: 0;
  display: flex;
  justify-content: right;
}
nav.menu li {
  margin: 0;
}
nav.menu a {
  display: block;
  padding: 1em 1em;
  text-decoration: none;
  font-weight: bold;
  transition: background 0.2s;
}
nav.menu a:hover,
nav.menu a:focus {
  background: var(--bg-focus);
}
html {
  scroll-behavior: smooth;
}

section#about {
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding-top: 6em;
  padding-bottom: 3em;
  box-sizing: border-box;
  scroll-margin-top: 5em;
}
section#about .logo {
  margin-bottom: 2em;
}

section#ecouter {
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding-top: 0;
  padding-bottom: 3em;
  box-sizing: border-box;
  scroll-margin-top: 5em;
}
section#about .logo {
  margin-bottom: 2em;
}

.logo {
  gap: 0em;
}

.logo img {
  width: 50%;
  border-radius: var(--border-radius);
  margin: 0;
  padding: 0;
}

.video-container {
  position: relative;
  width: 100%;
  margin: 2em auto;
  aspect-ratio: 16/9;
  display: flex;
  justify-content: center;
  align-items: center;
}

.video-container iframe {
  width: 100%;
  height: 100%;
  border-radius: var(--border-radius);
  display: block;
}

footer {
  font-size: var(--smallsize);
  text-align: center;
  padding: 0;
  width: 100%;
  border-top: 1px solid var(--bg-focus);
  margin-top: auto;
}

table {
  width: 100%;
  margin-top: 20px;
  table-layout: fixed;
  border-spacing: 0;
  border-radius: var(--border-radius);
  border: 1px solid var(--bg-focus);
  font-size: var(--normalsize)
}

table a {
  text-decoration: underline;
}

th, td {
  padding: 12px;
  border: 1px solid var(--bg-focus);
  text-align: left;
}

th:first-child,
td:first-child {
  width: 13ch;
  text-align: center;
}

details {
  font-size: var(--smallsize);
  margin-top: 5px;
}

details summary {
  cursor: pointer;
}

.events {
  padding-bottom: 3em;
}

.past-event {
  color: #aaa;
  background: var(--bg-inactive);
}

.past-event a {
  color: var(--fg-inactive);
}

.past-event strong {
  color: var(--fg-inactive);
}

.past-event b {
  color: var(--fg-inactive);
}

details div {
  margin-top: 5px;
  padding: 5px 5px;
  box-sizing: border-box;
  border-radius: var(--border-radius);
  background-color: var(--bg-focus);
}
